# Create route

Create a new route configuration with HTTP method, path, and policy type (`allow`, `deny`, or `ruleBased`) for access control management.

Endpoint: POST /resources/routes/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `method` (string, required)
    Http Method
    Enum: "GET", "POST", "PUT", "PATCH", "DELETE", "*"

  - `path` (string, required)
    Route path
    Example: /users

  - `policyType` (string, required)
    Route policy type
    Enum: "allow", "deny", "ruleBased"

  - `description` (string, required)
    Route description
    Example: This is an example route

## Response 200 fields (application/json):

  - `id` (string, required)
    Example: b796239c-6641-4cf3-9ff3-658ad4049131

  - `method` (string, required)
    Enum: "GET", "POST", "PUT", "PATCH", "DELETE", "*"

  - `path` (string, required)
    Example: /users

  - `priority` (number, required)
    Example: 100

  - `description` (string, required)
    Example: This is an example route

  - `policyType` (string, required)
    Enum: "allow", "deny", "ruleBased"

  - `rules` (array, required)

  - `rules.id` (string, required)
    Example: b796239c-6641-4cf3-9ff3-658ad4049131

  - `rules.routeId` (string, required)
    Example: b796239c-6641-4cf3-9ff3-658ad4049131

  - `rules.type` (string, required)
    Enum: "feature", "permission"

  - `rules.value` (string, required)
    Example: my-feature-key

